Get supported chains for swap operations
Returns a list of all supported blockchains that support crosschain swaps on Across Protocol.
Authorization
bearerAuth API key for authentication. Request your key at https://t.me/acrosstg.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://app.across.to/api/swap/chains"[
{
"chainId": 1,
"name": "Ethereum",
"publicRpcUrl": "https://mainnet.gateway.tenderly.co",
"explorerUrl": "https://etherscan.io",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/mainnet/assets/logo.svg"
},
{
"chainId": 10,
"name": "Optimism",
"publicRpcUrl": "https://mainnet.optimism.io",
"explorerUrl": "https://optimistic.etherscan.io",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/optimism/assets/logo.svg"
},
{
"chainId": 137,
"name": "Polygon",
"publicRpcUrl": "https://polygon.drpc.org",
"explorerUrl": "https://polygonscan.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/polygon/assets/logo.svg"
},
{
"chainId": 42161,
"name": "Arbitrum",
"publicRpcUrl": "https://arb1.arbitrum.io/rpc",
"explorerUrl": "https://arbiscan.io",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/arbitrum/assets/logo.svg"
},
{
"chainId": 324,
"name": "zkSync",
"publicRpcUrl": "https://mainnet.era.zksync.io",
"explorerUrl": "https://era.zksync.network",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/zk-sync/assets/logo.svg"
},
{
"chainId": 8453,
"name": "Base",
"publicRpcUrl": "https://mainnet.base.org",
"explorerUrl": "https://basescan.org",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/base/assets/logo.svg"
},
{
"chainId": 59144,
"name": "Linea",
"publicRpcUrl": "https://rpc.linea.build",
"explorerUrl": "https://lineascan.build",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/linea/assets/logo.svg"
},
{
"chainId": 34443,
"name": "Mode",
"publicRpcUrl": "https://mainnet.mode.network",
"explorerUrl": "https://explorer.mode.network",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/mode/assets/logo.svg"
},
{
"chainId": 81457,
"name": "Blast",
"publicRpcUrl": "https://rpc.blast.io",
"explorerUrl": "https://blastscan.io",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/blast/assets/logo.svg"
},
{
"chainId": 1135,
"name": "Lisk",
"publicRpcUrl": "https://rpc.api.lisk.com",
"explorerUrl": "https://blockscout.lisk.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/lisk/assets/logo.svg"
},
{
"chainId": 534352,
"name": "Scroll",
"publicRpcUrl": "https://rpc.scroll.io",
"explorerUrl": "https://scrollscan.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/scroll/assets/logo.svg"
},
{
"chainId": 690,
"name": "Redstone",
"publicRpcUrl": "https://rpc.redstonechain.com",
"explorerUrl": "https://explorer.redstone.xyz",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/redstone/assets/logo.svg"
},
{
"chainId": 7777777,
"name": "Zora",
"publicRpcUrl": "https://rpc.zora.energy",
"explorerUrl": "https://explorer.zora.energy",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/zora/assets/logo.svg"
},
{
"chainId": 480,
"name": "World Chain",
"publicRpcUrl": "https://worldchain-mainnet.g.alchemy.com/public",
"explorerUrl": "https://worldchain-mainnet-explorer.alchemy.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/world-chain/assets/logo.svg"
},
{
"chainId": 41455,
"name": "Aleph Zero",
"publicRpcUrl": "https://rpc.alephzero.raas.gelato.cloud",
"explorerUrl": "https://evm-explorer.alephzero.org",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/aleph-zero/assets/logo.svg"
},
{
"chainId": 57073,
"name": "Ink",
"publicRpcUrl": "https://rpc-gel.inkonchain.com",
"explorerUrl": "https://explorer.inkonchain.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/ink/assets/logo.svg"
},
{
"chainId": 1868,
"name": "Soneium",
"publicRpcUrl": "https://rpc.soneium.org",
"explorerUrl": "https://soneium.blockscout.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/soneium/assets/logo.svg"
},
{
"chainId": 130,
"name": "Unichain",
"publicRpcUrl": "https://mainnet.unichain.org",
"explorerUrl": "https://uniscan.xyz",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/unichain/assets/logo.svg"
},
{
"chainId": 232,
"name": "Lens",
"publicRpcUrl": "https://api.lens.matterhosted.dev",
"explorerUrl": "https://explorer.lens.xyz",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/lens/assets/logo.svg"
},
{
"chainId": 56,
"name": "BNB Smart Chain",
"publicRpcUrl": "https://bsc-dataseed1.binance.org",
"explorerUrl": "https://bscscan.com",
"logoUrl": "https://raw.githubusercontent.com/across-protocol/frontend/master/scripts/chain-configs/bsc/assets/logo.svg"
}
]{
"type": "AcrossApiError",
"code": "INVALID_REQUEST",
"status": 400,
"message": "Invalid request parameters"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Build embedded crosschain swap actions with the Swap API POST
Use the /`swap/approval` API to build embedded crosschain actions (e.g., mint, deposit) that execute on the destination chain immediately after a swap. Define an action with its `target`, `functionSignature`, and `value`. For contract calls, provide an `args[]` array where each parameter can be static or dynamically populated with a token balance by setting `populateDynamically: true` and specifying the `balanceSourceToken`. In this example we will transfer the entire balance of a newly swapped token, call the ERC20 transfer function with a static recipient address and a dynamic amount argument flagged for population.
Get supported tokens for swap operations GET
Returns a list of all supported tokens that support crosschain swaps on Across Protocol.